ALTER TABLE `msyj-local-v3.1.0`.`param_setting`
DROP COLUMN `take_best`,
DROP COLUMN `clear_data`,
DROP COLUMN `show_standard_paper_manage`,
DROP COLUMN `auto_callback_show_deviation`,
DROP COLUMN `prop_denominator`,
DROP COLUMN `score_show_all_paper`,
DROP COLUMN `change_stage`,
DROP COLUMN `round_up`,
DROP COLUMN `level_show_all_paper`,
DROP COLUMN `cumulative_error`,
DROP COLUMN `majority`,
DROP COLUMN `auto_callback`,
DROP COLUMN `deviation`,
DROP COLUMN `paper_stage`,
DROP COLUMN `name_rule`,
DROP COLUMN `image_encrypt`,
DROP COLUMN `package_scan`,
ADD COLUMN `collect_config` MEDIUMTEXT NULL COMMENT '采集规则参数' AFTER `work_id`,
ADD COLUMN `level_config` MEDIUMTEXT NULL COMMENT '细分档规则参数' AFTER `collect_config`,
ADD COLUMN `coarse_level_config` MEDIUMTEXT NULL COMMENT '粗分档规则参数' AFTER `level_config`,
ADD COLUMN `score_config` MEDIUMTEXT NULL COMMENT '打分规则参数' AFTER `first_level_config`;


CREATE TABLE `marker_group_student`  (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                         `work_id` bigint(20) NOT NULL,
                                         `subject` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `stage` int(1) NOT NULL COMMENT '所属阶段',
                                         `group_id` bigint(20) NOT NULL COMMENT '分组ID',
                                         `exam_number` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `area_code` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `area_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `exam_room` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `school` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `source_name` varchar(225) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生源地',
                                         `group_id` bigint(20) NOT NULL COMMENT '批次号',
                                         `used` tinyint(1) NULL DEFAULT NULL COMMENT '已否已发任务',
                                         PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


ALTER TABLE `marker_group`
    CHANGE COLUMN `work_id` `work_id` BIGINT(20) NOT NULL AFTER `id`,
    ADD COLUMN `stage` INT(1) NULL AFTER `subject`;

ALTER TABLE `level`
    ADD COLUMN `coarse_code` VARCHAR(50) NULL COMMENT '粗分档档位' AFTER `kdpt`,
ADD COLUMN `coarse_weight` INT(11) NULL COMMENT '粗分档典型值' AFTER `coarse_code`;
