package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.MarkerGroupStudent;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * 分组考生
 */
public interface MarkerGroupStudentRepo extends JpaRepository<MarkerGroupStudent, Long> {

    void deleteByGroupIdAndUsed(Long groupId, boolean b);

    List<MarkerGroupStudent> findByWorkIdAndSubjectAndStageAndUsed(Long workId, Subject subject, MarkStage stage, boolean used);

    long countByGroupIdAndUsed(Long groupId, boolean used);
}
